\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Algebraic Foundations

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
FieldWithSqrt Concept Reference
Concepts

## Definition

A model of `FieldWithSqrt` is a `Field` that has operations to take square roots.

Moreover, `CGAL::Algebraic_structure_traits< FieldWithSqrt >` is a model of `AlgebraicStructureTraits` providing:

- `CGAL::Algebraic_structure_traits< FieldWithSqrt >::Algebraic_category` derived from `CGAL::Field_with_sqrt_tag`
- `CGAL::Algebraic_structure_traits< FieldWithSqrt >::Sqrt` which is a model of `AlgebraicStructureTraits_::Sqrt`

Refines:
  `Field`

See Also
  `IntegralDomainWithoutDivision`
  `IntegralDomain`
  `UniqueFactorizationDomain`
  `EuclideanRing`
  `Field`
  `FieldWithSqrt`
  `FieldWithKthRoot`
  `FieldWithRootOf`
  `AlgebraicStructureTraits`